import { DTCamera } from "../interface/camera";
import { DTVector3 } from "../interface/model";
import { UnitySocket } from "./socket";
import EventEmitter from "../common/event-emitter";
export type UnityCamera = {
    position: DTVector3;
    dispose(): void;
    update(): void;
    move(direction: string, offset: number, duration: number): void;
} & DTCamera;
export declare function createDefaultCameraOptions(): {};
export default function createCamera(socket: UnitySocket): {
    position: DTVector3;
    dispose(): void;
    update(): void;
    move(direction: string, offset: number, duration: number): void;
} & DTCamera & EventEmitter;
